Bug 1255780 - (CVE-2015-6527) CVE-2015-6527 php: Arbitrary code execution in str_ireplace function
CVE-2015-6527 php: Arbitrary code execution in str_ireplace function
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150726,repor...
: Security
Depends On: 1256315
Blocks: 1255784
  Show dependency treegraph
 
Reported: 2015-08-21 10:30 EDT by Adam Mariš
Modified: 2016-05-19 10:33 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-25 06:38:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-08-21 10:30:25 EDT
A vulnerability was found in function str_ireplace, where the third arguments type $subject is not checked.
It is possible to control assembly registers, which could lead to arbitrary code execution.
Affected version is php 7.0.

CVE assignment:

http://seclists.org/oss-sec/2015/q3/411

Upstream patch:

https://github.com/php/php-src/commit/6aeee47b2cd47915ccfa3b41433a3f57aea24dd5

Upstream bug:

https://bugs.php.net/bug.php?id=70140

External reference:

(none)
Comment 1 Adam Mariš 2015-08-24 07:05:55 EDT
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1256315]
Comment 2 Stefan Cornelius 2015-08-25 06:36:50 EDT
Statement:

This issue did not affect the versions of php and php53 as shipped with Red Hat Enterprise Linux 5 and the versions of php as shipped with Red Hat Enterprise Linux 6 and 7.
Comment 3 Stefan Cornelius 2015-08-25 06:38:24 EDT
Seems like this is a PHP7 only issue. None of the php versions we ship should be affected.

Note You need to log in before you can comment on or make changes to this bug.